## Overview
This adds a small set of configurations to change how Benthic Bloom behaves.

## Configurations

**Item Selection**

```
Selection Method:
- Allows changing how Benthic selects its items, can choose between random, lowest stack count or highest stack count.

Prioritize Scrap:
- Makes scrap that can be upgraded have high priority than the Selection Method.

Refresh Selections On Each Upgrade:
- Makes it revaluate the next item to upgrade each time an item is upgraded. The vanilla game does this, it's recommended to disable this when using a non-random Selection Method and upgraded single items instead of stacks.
```

**Upgrading**

```
Upgrade Blacklist:
- Prevents certain items from being upgraded into the selected items.

Upgrade Entire Stack:
- Makes it upgrade a single instance of the item instead of the whole stack when disabled.
```

**Stacking**

```
Base Upgrade Count:
- Controls how many items to upgrade for the first stack of Benthic Bloom.

Stack Upgrade Count:
- Controls how many items to upgrade for each additional stack of Benthic Bloom.
```

## Known Issues

- RNG for selecting items seems predictable, but it's exactly the same as how the vanilla game handles it.

## Change Log

**1.0.0**

```
Public release.
```

## Credits

* **Zacctrench** - Starting up the idea.
* **MalefactorIX & Conq** - Further ideas for configurations.

## Contact

You can find me as kking117#0370 on Discord.